Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in qemu
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in qemu
ID: openSUSE-SU-2018:2402-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.0
Datum: Fr, 17. August 2018, 13:21
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-11806
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-3639
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-7550
Applikationen: QEMU

Originalnachricht

   openSUSE Security Update: Security update for qemu
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:2402-1
Rating: moderate
References: #1083291 #1087082 #1091695 #1094725 #1094898
#1094913 #1096223
Cross-References: CVE-2018-11806 CVE-2018-3639 CVE-2018-7550

Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that solves three vulnerabilities and has four
fixes is now available.

Description:

This update for qemu to version 2.11.2 fixes the following issues:

Security issue fixed:

- CVE-2018-11806: Fix heap buffer overflow issue that can happen while
reassembling fragmented datagrams (bsc#1096223).
- CVE-2018-3639: Mitigation functionality for Speculative Store Bypass
issue in x86 (bsc#1087082).
- CVE-2018-7550: Fix out of bounds read and write memory access,
potentially leading to code execution (bsc#1083291)

Bug fixes:

- bsc#1091695: SEV guest will not lauchh with qemu-system-x86_64 version
2.11.1.
- bsc#1094898: qemu-guest-agent service doesn't work in version Leap
15.0.
- bsc#1094725: `virsh blockresize` does not work with Xen qdisks.
- bsc#1094913: QEMU crashes when starting a guest with more than 7.999TB.

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2018-894=1



Package List:

- openSUSE Leap 15.0 (noarch):

qemu-ipxe-1.0.0-lp150.7.6.1
qemu-seabios-1.11.0-lp150.7.6.1
qemu-sgabios-8-lp150.7.6.1
qemu-vgabios-1.11.0-lp150.7.6.1

- openSUSE Leap 15.0 (x86_64):

qemu-2.11.2-lp150.7.6.1
qemu-arm-2.11.2-lp150.7.6.1
qemu-arm-debuginfo-2.11.2-lp150.7.6.1
qemu-block-curl-2.11.2-lp150.7.6.1
qemu-block-curl-debuginfo-2.11.2-lp150.7.6.1
qemu-block-dmg-2.11.2-lp150.7.6.1
qemu-block-dmg-debuginfo-2.11.2-lp150.7.6.1
qemu-block-gluster-2.11.2-lp150.7.6.1
qemu-block-gluster-debuginfo-2.11.2-lp150.7.6.1
qemu-block-iscsi-2.11.2-lp150.7.6.1
qemu-block-iscsi-debuginfo-2.11.2-lp150.7.6.1
qemu-block-rbd-2.11.2-lp150.7.6.1
qemu-block-rbd-debuginfo-2.11.2-lp150.7.6.1
qemu-block-ssh-2.11.2-lp150.7.6.1
qemu-block-ssh-debuginfo-2.11.2-lp150.7.6.1
qemu-debuginfo-2.11.2-lp150.7.6.1
qemu-debugsource-2.11.2-lp150.7.6.1
qemu-extra-2.11.2-lp150.7.6.1
qemu-extra-debuginfo-2.11.2-lp150.7.6.1
qemu-guest-agent-2.11.2-lp150.7.6.1
qemu-guest-agent-debuginfo-2.11.2-lp150.7.6.1
qemu-ksm-2.11.2-lp150.7.6.1
qemu-kvm-2.11.2-lp150.7.6.1
qemu-lang-2.11.2-lp150.7.6.1
qemu-linux-user-2.11.2-lp150.7.6.1
qemu-linux-user-debuginfo-2.11.2-lp150.7.6.1
qemu-linux-user-debugsource-2.11.2-lp150.7.6.1
qemu-ppc-2.11.2-lp150.7.6.1
qemu-ppc-debuginfo-2.11.2-lp150.7.6.1
qemu-s390-2.11.2-lp150.7.6.1
qemu-s390-debuginfo-2.11.2-lp150.7.6.1
qemu-testsuite-2.11.2-lp150.7.6.1
qemu-tools-2.11.2-lp150.7.6.1
qemu-tools-debuginfo-2.11.2-lp150.7.6.1
qemu-x86-2.11.2-lp150.7.6.1
qemu-x86-debuginfo-2.11.2-lp150.7.6.1


References:

https://www.suse.com/security/cve/CVE-2018-11806.html
https://www.suse.com/security/cve/CVE-2018-3639.html
https://www.suse.com/security/cve/CVE-2018-7550.html
https://bugzilla.suse.com/1083291
https://bugzilla.suse.com/1087082
https://bugzilla.suse.com/1091695
https://bugzilla.suse.com/1094725
https://bugzilla.suse.com/1094898
https://bugzilla.suse.com/1094913
https://bugzilla.suse.com/1096223

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung